Bug 683429 - Administration-Roles: Cannot edit the roles-Roles list display roles as text instead of links.
Administration-Roles: Cannot edit the roles-Roles list display roles as text ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-admin-usersroles
  Show dependency treegraph
 
Reported: 2011-03-09 07:08 EST by Sunil Kondkar
Modified: 2013-08-05 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (55.28 KB, image/png)
2011-03-09 07:10 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2011-03-09 07:08:17 EST
Description of problem:

In the Administration->Security->Roles, the roles were displayed as links in previous rhq builds. In the latest build#1083 (Build Number: fbbf83c), roles are displayed as text instead of links.

Please refer the attached screenshot.

Version-Release number of selected component (if applicable):

Build# 1083 ( Version: 4.0.0-SNAPSHOT Build Number: fbbf83c)

How reproducible:

Always

Steps to Reproduce:

1. Login to RHQ as rhqadmin.
2. Navigate to Administartion->Security->Roles
3. Observe the roles in roles list. They are not links and cannot be edited.
4. Create a new role and observe the roles list. The role is not displayed as a link.
  
Actual results:

Roles are displayed as text instead of links.

Expected results:

The roles should be displayed as links.

Additional info:
Comment 1 Sunil Kondkar 2011-03-09 07:10:00 EST
Created attachment 483177 [details]
Screenshot
Comment 2 Ian Springer 2011-03-09 11:42:13 EST
This is a regression caused by another fix I checked in yesterday. Should be fixed now - [master 2ab62ba].
Comment 3 Sunil Kondkar 2011-03-10 02:47:37 EST
Verified on build#1086 (Version: 4.0.0-SNAPSHOT Build Number: 7b2d9f6)

The roles are displayed as links and can be edited.

Marking as verified
Comment 4 Corey Welton 2011-05-23 21:10:18 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.